=== debian/control ===
Source: ros-melodic-mir-description
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-melodic-mir-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diff-drive-controller, ros-melodic-gazebo-ros-control, ros-melodic-joint-state-controller, ros-melodic-joint-state-publisher, ros-melodic-position-controllers, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-urdf, ros-melodic-xacro
Description: URDF description of the MiR100 robot
